### A free/open-source library for quantitative finance

Public Member Functions
MultiProductPathwiseWrapper Class Reference

`#include <ql/models/marketmodels/products/multistep/multisteppathwisewrapper.hpp>`

Inheritance diagram for MultiProductPathwiseWrapper:
[legend]

List of all members.

## Public Member Functions

| MultiProductPathwiseWrapper (const MarketModelPathwiseMultiProduct &innerProduct_)
std::vector< Time > | possibleCashFlowTimes () const
Size | numberOfProducts () const
Size | maxNumberOfCashFlowsPerProductPerStep () const
void | reset ()
| during simulation put product at start of path
bool | nextTimeStep (const CurveState &currentState, std::vector< Size > &numberCashFlowsThisStep, std::vector< std::vector< CashFlow > > &cashFlowsGenerated)
| return value indicates whether path is finished, TRUE means done
std::auto_ptr < MarketModelMultiProduct > | clone () const
| returns a newly-allocated copy of itself
std::vector< Size > | suggestedNumeraires () const
const EvolutionDescription & | evolution () const

## Detailed Description

MultiStepPathwiseWrapper Pathwise products do everything that ordinary products do and more. This lets you treat a pathwise product as an ordinary product. So you only have to write the product once.

Tested in MarketModels::testInverseFloater()